<?php
namespace Joomla\Plugin\System\Bubble\Extension;

use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

class Bubble extends CMSPlugin
{
    protected $autoloadLanguage = true;
    protected $app;

    public function onBeforeCompileHead()
    {
        if ($this->app->isClient('administrator')) {
            return;
        }

        $wa = $this->app->getDocument()->getWebAssetManager();
        
        // Register and load the bubble effect script
        $wa->registerScript(
            'plg_system_bubble.effect',
            'media/plg_system_bubble/js/bubble-effect.js',
            [],
            ['defer' => true]
        );
        
        $wa->useScript('plg_system_bubble.effect');

        // Add plugin parameters to JavaScript
        $params = [
            'size' => $this->params->get('bubble_size', 10)
        ];

        $wa->addInlineScript('
            window.bubbleParams = ' . json_encode($params) . ';
        ');
    }
}